<?php 
// Include main file
include_once('../libs/main.php');
// Check insurance Login
include_once('checkLogin.php');
// Logical section of page
$insuranceObj =  new  insurance();

$adminlogObj = new admin_log();
$modulepagesObj = new module_pages();

$filename=basename($_SERVER['SCRIPT_FILENAME']);
if($filename == 'insurancelist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
    $page_id = $adminlogObj->getPageId($filename);
    $allpages = $modulepagesObj->fromId($page_id);
    $pagename = $allpages->page;

}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['insurance_id'])){
    if(isset($_REQUEST['status'])){

        $insuranceDetail = $insuranceObj->fromId($_REQUEST['insurance_id']);
        if($insuranceDetail->insurance_status == '1')
        {
            $old_status = 'Active';
        }else{
            $old_status = 'Inactive';
        }

        if($_REQUEST['status'] == '1')
        {
            $new_status = 'Active';
        }else{
            $new_status = 'Inactive';
        }

        $insuranceObj->changeStatus($_REQUEST['insurance_id']);

        $insurance_detail = " <b>Insurance Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$insurance_detail);

        echo RECORD_STATUS;
    }
    return true;
}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['insurance_id'])){
    $insuranceObj->deleteFromId($_REQUEST['insurance_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("insurance_status" => '1');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $insuranceObj->fromId($val_actchk);
            if($old_data->insurance_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->insurance_status != '1')
            {
                $new_status = 'Active';
                $insurancedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$insurancedata);
            }
        }
        $rs = $insuranceObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("insurance_status" => '0');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $insuranceObj->fromId($val_actchk);
            if($old_data->insurance_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->insurance_status != '0')
            {
                $new_status = 'Inactive';
                $insurancedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$insurancedata);
            }
        }

        $rs = $insuranceObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){

        $chk_del = implode(",",$_POST['check']);
        
        $insurancedata = " <b>Delete Id</b>: "." ".$chk_del;
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$insurancedata);
        
        $rs = $insuranceObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}


if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    $where = " 1=1 ";

    if(isset($_REQUEST['insurance_name']) && $_REQUEST['insurance_name'] != '')
    {
        $where .= " AND insurance_name LIKE '%".$_REQUEST['insurance_name']."%'";
    }
    if(isset($_REQUEST['insurance_status']) && $_REQUEST['insurance_status']!=""){
         $where .= " and insurance_status='".$_REQUEST['insurance_status']."' "; 
    }

    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where = " insurance_name LIKE '%".$_REQUEST['search']['value']."%' OR insurance_plan LIKE '%".$_REQUEST['search']['value']."%' ";
    }    
    $orderFields = array('','insurance_name', 'insurance_plan','insurance_status');
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" insurance_id desc ");
    }
    $data    = array('where' => $where,'limit' => $limit,'orderBy' => $orderby);
    $insuranceDetails = $insuranceObj->getAllRecords($data);
    $recordsTotal   =   $insuranceObj->getAllCount($data);

    if ($insuranceDetails && count($insuranceDetails)>0){
        foreach ($insuranceDetails as $key => $insurance){
            if($insurance->insurance_status =='1'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$insurance->insurance_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$insurance->insurance_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }
            // $action = '<a href="insuranceadd.php?act=edit&insurance_id='.$insurance->insurance_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>
            //      <a id="delete-confirm" onclick="delete_entry('.$insurance->insurance_id.');" class="btn btn-danger white-btn"><i class="nav-icon i-Close-Window "></i></a>';

                 $action = '<a href="insuranceadd.php?act=edit&insurance_id='.$insurance->insurance_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>';
                 $plan = json_decode($insurance->insurance_plan,1);
            $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$insurance->insurance_id.'" class="check_class" />', 
                    $insurance->insurance_name,
                    json_encode($plan,JSON_PRETTY_PRINT),
                    "<div id='td_status_".$insurance->insurance_id."'>".$status."</div>",    
                    $action
            );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}
// Include Template 
include_once('../libs/routs.php');

?>